import request from '@/utils/request'

// 查询考试题目列表
export function listExamSubject(query) {
  return request({
    url: '/hezhi/examSubject/list',
    method: 'get',
    params: query
  })
}

// 查询考试题目详细
export function getExamSubject(examSubjectId) {
  return request({
    url: '/hezhi/examSubject/' + examSubjectId,
    method: 'get'
  })
}

// 新增考试题目
export function addExamSubject(data) {
  return request({
    url: '/hezhi/examSubject',
    method: 'post',
    data: data
  })
}

// 修改考试题目
export function updateExamSubject(data) {
  return request({
    url: '/hezhi/examSubject',
    method: 'put',
    data: data
  })
}

// 删除考试题目
export function delExamSubject(examSubjectId) {
  return request({
    url: '/hezhi/examSubject/' + examSubjectId,
    method: 'delete'
  })
}
